*{
    text-shadow: 1px 1px 2px #969696;
    padding: 0;
    margin: 0;
  }
  body {
    height: calc(100svh - 20px);
    font-family: 'Arial', sans-serif;
    background-color: #e0e0e0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: start;
    margin: 0;
    position: relative;
    padding: 0px 0px;
  }

  h1 {
    color: #333;
    text-align: center;
    margin-bottom: 15px;
    font-size: 1.5rem;
    text-shadow: 1px 1px 2px #fff;
  }

  .btn-container {
    display: flex;
    gap: 10px;
    margin-bottom: 20px;
  }

  button {
    padding: 12px 20px;
    font-size: 1.5rem;
    border: none;
    border-radius: 25px;
    background-color: #e0e0e0;
    color: #333;
    box-shadow: 5px 5px 15px #aaaaaa, -5px -5px 15px #ffffff;
    transition: box-shadow 0.3s ease;
    cursor: pointer;
    outline: none;
  }

  button:active {
    box-shadow: inset 5px 5px 15px #aaaaaa, inset -5px -5px 15px #ffffff;
  }

  button#capturePhoto {
    position: relative;
    top: -30px;
    width: 150px;
    background-color: #ff6347;
    color: white;
  }

  video {
    width: 90%;
    max-width: 400px;
    height: auto;
    border-radius: 15px;
    background-color: #e0e0e0;
    box-shadow: 5px 5px 15px #aaaaaa, -5px -5px 15px #ffffff;
    margin-top: 15px;
  }

  h3 {
    margin-bottom: 10px;
    color: #333;
    text-shadow: 1px 1px 2px #fff;
  }

  .camera-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
  }

  canvas {
    display: none;
  }

  #viewPhotosBtn {
    width: 70px;
    position: absolute;
    top: 2%;
    right: 5%;
    transform: translateX(-0%);
    padding: 10px 12px;
    font-size: 2rem;
    background-color: #ff6347;
    color: white;
    border-radius: 25px;
    border: none;
    box-shadow: 5px 5px 15px #aaaaaa, -5px -5px 15px #ffffff;
    cursor: pointer;
  }

  /* Modal styles */
  .modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    justify-content: center;
    align-items: center;
    padding: 10px;
  }

  .modal-content {
    background-color: #fff;
    padding: 15px;
    border-radius: 10px;
    box-shadow: 5px 5px 15px #aaaaaa, -5px -5px 15px #ffffff;
    max-width: 90%;
    max-height: 80%;
    overflow-y: auto;
  }

  .modal img {
    max-width: 100%;
    height: auto;
    margin: 10px 0;
    border-radius: 10px;
    box-shadow: 5px 5px 15px #aaaaaa, -5px -5px 15px #ffffff;
  }

  .close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
  }

  .close:hover,
  .close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
  }

  /* Mobile responsiveness */
  @media only screen and (max-width: 768px) {
    h1 {
      font-size: .7rem;
    }

    .btn-container {
      flex-direction: row;
      align-items: center;
      height: 50px;
      gap: 15px;
    }

    button {
      width: 100%;
      height: 100%;
      padding: 7px;
      font-size: 1.2rem;
      background: #e8e8e8;
      color: #6A6A6A;
      font-family: cursive;
    }
    #openFrontCamera:focus,
    #openBackCamera:focus{
      background: #E36D3E;
      color: #D6D6D6; 
    }
    button#capturePhoto {
      top: -20px;
      width: 50px;
      height: 50px;
      border-radius: 50%;
      font-size: 1.2rem;
      text-align: center;
      box-shadow: none;
      background: #E33E3E;
    }

    video {
      width: 100%;
    }

    #viewPhotosBtn {
      background: transparent;
      font-size: 2.5rem;
      height: 60px;
      width: 60px;
      padding: 0;
      text-align: center;
    }
    .modal button{
      width: 35px;
      height: 35px;
      font-size: .5rem;
      background-color: transparent!important;
      margin: 0;
    }
    #toggleFlash{
      width: 100px;
      height: 50px;
    }
  }
  h1 span{
    color: #57B7AC;
    font-size: 4rem;
    text-shadow: 1px 1px 2px #FFFFFF;
    text-shadow: 1px 1px 2px #969696;
  }
  #capturePhoto{
    width: 100px;
    width: 100px;
  }
  
  /* CSS for the capture effect */
  @keyframes captureEffect {
  0% {
      opacity: 0.5;
  }
  100% {
      opacity: 0;
  }
  }

  .capture-effect {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(255, 255, 255, 0.5); /* White overlay with some transparency */
  animation: captureEffect 0.3s ease-out;
  pointer-events: none; /* Allows clicks to pass through the overlay */
  }